Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.olap.mdxparse
Class QueryAxis

    java.lang.Object
      com.tonbeller.jpivot.olap.mdxparse.QueryAxis

All Implemented Interfaces:
  Exp

    public class QueryAxis

extends java.lang.Object
implements Exp

MDX query axis

Constructor Summary
`QueryAxis(boolean nonEmpty, Exp exp, java.lang.String name)` c'tor

Method Summary
`void` | `accept(ExpVisitor visitor)` Exp is visitable
`java.lang.Object` | `clone()`
`java.util.List` | `getDimProps()`
`Exp` | `getExp()` Returns the exp.
`java.lang.String` | `getName()` Returns the name.
`boolean` | `isNonEmpty()` Returns the nonEmpty.
`void` | `setDimProps(java.util.List dimProps)`
`void` | `setExp(Exp exp)` Sets the exp.
`void` | `setName(java.lang.String name)` Sets the name.
`void` | `setNonEmpty(boolean nonEmpty)` Sets the nonEmpty.
`java.lang.String` | `toMdx()` format to MDX

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryAxis

    public QueryAxis(boolean nonEmpty,
                     Exp exp,
                     java.lang.String name)

  c'tor

  See Also:
    `Object.Object()`

Method Detail

### getExp

    public Exp getExp()

  Returns the exp.

  Returns:
    Exp

### getName

    public java.lang.String getName()

  Returns the name.

  Returns:
    String

### isNonEmpty

    public boolean isNonEmpty()

  Returns the nonEmpty.

  Returns:
    boolean

### setExp

    public void setExp(Exp exp)

  Sets the exp.

  Parameters:
    `exp` - The exp to set

### setName

    public void setName(java.lang.String name)

  Sets the name.

  Parameters:
    `name` - The name to set

### setNonEmpty

    public void setNonEmpty(boolean nonEmpty)

  Sets the nonEmpty.

  Parameters:
    `nonEmpty` - The nonEmpty to set

### toMdx

    public java.lang.String toMdx()

  format to MDX

  Specified by:
    `toMdx` in interface `Exp`

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in interface `Exp`
  Overrides:
    `clone` in class `java.lang.Object`
  See Also:
    `Object.clone()`

### getDimProps

    public java.util.List getDimProps()

  Returns:

### setDimProps

    public void setDimProps(java.util.List dimProps)

  Parameters:
    `dimProps` -

### accept

    public void accept(ExpVisitor visitor)

  Description copied from interface: `Exp`
  Exp is visitable

  Specified by:
    `accept` in interface `Exp`
  See Also:
    `Exp.accept(com.tonbeller.jpivot.olap.mdxparse.ExpVisitor)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD